<template>
    <form @submit.prevent="update">
        <div class="grid grid-cols-6 gap-4">
            <div class="col-span-4">
                <label class="label">Task</label>
                <input v-model.text="form.task" type="text" class="input" />
                <div v-if="form.errors.task" class="input-error">
                    {{ form.errors.task }}
                </div>
            </div>
            <div class="col-span-6">
                <button type="submit"
                    class="px-6 py-3 text-white no-underline bg-blue-500 rounded hover:bg-blue-600 hover:text-white">Create</button>
            </div>
        </div>
    </form>
</template>

<script setup>
import { useForm } from '@inertiajs/vue3';

const props = defineProps({
    task: Object,
})

const form = useForm({
    task: props.task.task,
});

const update = () => form.put(`/task/${props.task.id}`);

</script>

<style scoped>
label {
    margin-right: 2em;
}

div {
    padding: 2px
}
</style>